Calls
End a call
Either Contact ends the Call. A ringing Call ends canceled when its caller ends it and no-answer when its recipient does; an answered Call ends completed. A participant may also send end over its authenticated Call room. Cleanup remains available after a block or removal. Repeated terminal actions never restart the Call.
POST
/
v1
/
calls
/
{callId}
/
end
End a call
curl --request POST \
--url https://api.relayapp.im/v1/calls/{callId}/end \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"call": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"kind": "user",
"timezone": "America/Detroit",
"age_range": "18_plus",
"links": [
"https://github.com/ana",
"https://www.instagram.com/ana"
],
"about": "Builds robots in Ann Arbor.",
"rive": {
"file": "https://cdn.relayapp.im/rive/0199a000-0000-7000-8000-00000000000b/1790000000000/file-0123456789abcdef.riv",
"artboard": "Call",
"state_machine": "Main",
"view_model": "Main"
}
},
"to": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"kind": "user",
"timezone": "America/Detroit",
"age_range": "18_plus",
"links": [
"https://github.com/ana",
"https://www.instagram.com/ana"
],
"about": "Builds robots in Ann Arbor.",
"rive": {
"file": "https://cdn.relayapp.im/rive/0199a000-0000-7000-8000-00000000000b/1790000000000/file-0123456789abcdef.riv",
"artboard": "Call",
"state_machine": "Main",
"view_model": "Main"
}
}
],
"status": "ringing",
"revision": 2,
"created_at": "2023-11-07T05:31:56Z",
"ringing_at": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}Authorizations
Body
application/json
The body is of type object.
⌘I
End a call
curl --request POST \
--url https://api.relayapp.im/v1/calls/{callId}/end \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"call": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"kind": "user",
"timezone": "America/Detroit",
"age_range": "18_plus",
"links": [
"https://github.com/ana",
"https://www.instagram.com/ana"
],
"about": "Builds robots in Ann Arbor.",
"rive": {
"file": "https://cdn.relayapp.im/rive/0199a000-0000-7000-8000-00000000000b/1790000000000/file-0123456789abcdef.riv",
"artboard": "Call",
"state_machine": "Main",
"view_model": "Main"
}
},
"to": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"kind": "user",
"timezone": "America/Detroit",
"age_range": "18_plus",
"links": [
"https://github.com/ana",
"https://www.instagram.com/ana"
],
"about": "Builds robots in Ann Arbor.",
"rive": {
"file": "https://cdn.relayapp.im/rive/0199a000-0000-7000-8000-00000000000b/1790000000000/file-0123456789abcdef.riv",
"artboard": "Call",
"state_machine": "Main",
"view_model": "Main"
}
}
],
"status": "ringing",
"revision": 2,
"created_at": "2023-11-07T05:31:56Z",
"ringing_at": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}
